﻿body {
    background-color: #d6d6d6;
}

.navbar {
    background-color: white;
}

.far, .fas {
    line-height: inherit;
}

#booking_range button {
    height: 38px;
}

.login .input-group-prepend > .input-group-text {
    display: block;
    width: 42px;
}

.dateRange .input-group-prepend > .input-group-text {
    display: block;
    width: 63px;
    text-align: right;
}

/* Searching */
.searchMatch {
    background-color: #b2e481;
}

/* navbar buttons*/
.navbar-light .nav-item.active .nav-link,
.navbar-light .nav-item .nav-link:active,
.navbar-light .nav-item .nav-link:focus,
.navbar-light .nav-item:hover .nav-link {
    color: white;
    background-color: #007bff;
    border-radius: .25rem;
}

.navbar-light .navbar-nav .nav-link {
    color: black;
}

/* Generic objects */
table {
    background: whitesmoke !important;
}

/* list item header */
.itemHeader {
}

/* fleet */
.fleetActive {
    background-color: #ff92a6;
}

.fa-angle-double-down {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f103";
    margin-left: 1em;
    margin-top: auto;
    margin-bottom: auto;
}

.close::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f00d";
}

#SearchOptions.itemHeader > span {
    padding-left: 15px;
}

.itemHeader > span {
    font-size: small;
    font-weight: 700;
    padding-bottom: 5px;
}

.list-group-item.collapse {
    display: none !important;
}

    .list-group-item.collapse.show {
        display: block !important;
    }


/* map */
.mapSection {
    height: 90vh;
}

#map {
    height: 100%;
    width: 100%;
}

#unitList {
    overflow: auto;
    height: 79.6vh;
}

/* dateRange nuances on map*/
.mapRegion > .dateRange .col-md {
    padding-left: 0;
    padding-right: 0;
}

    .mapRegion > .dateRange .col-md:first-child {
        padding-right: 15px;
    }

/* Animated loading */
.loading img {
    width: 32px;
    -webkit-animation: rotation 1s infinite linear;
}

@-webkit-keyframes rotation {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(359deg);
    }
}

/* Edit Form */
#editDialog .list-group-item {
    padding: .4rem 1.25rem;
}

.input-group-prepend > .input-group-text {
    display: block;
    text-align: right;
    width: 92px;
}

.searchGroup .input-group-prepend > .input-group-text {
    width: auto;
}

.editorDateTime .time {
    width: 70px;
}

/* Datatable */
.table {
    font-family: Helvetica;
    font-size: smaller;
    width: 100%;
}

    .table tbody > tr:hover {
        background-color: #ddffdd !important;
    }

    .table thead {
        font-weight: 600;
        font-size: medium;
        background: linear-gradient(0deg, rgba(222,226,230,1) 0%, rgba(255,255,255,1) 47%, rgba(255,255,255,1) 53%, rgba(222,226,230,1) 100%);
    }

.table-striped tbody tr:nth-of-type(odd) {
    background-color: #e9ecef;
}

@-webkit-keyframes rotation {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(359deg);
    }
}

.userInfo {
    display: initial;
}

.userInfo img {
    width: 32px;
}

.userInfo.loading img {
    content: url('/include/images/ls-logo.svg');
    animation-name: rotation;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.userInfo.success img {
    content: url('/include/images/success.svg');
    animation-name: none;
}
.userInfo.error img {
    content: url('/include/images/error.svg');
    animation-name: none;
}

/* bootstrap overrides */
.modal-header .close {
    margin: -1rem -1rem -1rem;
}

.card-body.gradient-buttons .btn-secondary {
    color: #000;
    background-color: rgba(222,226,230,1);
    border-color: #6c757d;
}
.card-body.gradient-buttons {
    padding: 0;
}
/* bootstrap 4 gradient */
.gradient-buttons .btn {
    background-image: linear-gradient(to bottom, rgba(255,255,255,0.5), rgba(255,255,255,0.2) 49%, rgba(0,0,0,0.15) 51%, rgba(0,0,0,0.05));
    background-repeat: repeat-x;
}

.card {
    margin: 10px;
    box-shadow: 0 5px 10px -2.5px;
}

/* */
.modal-footer .input-group-prepend > .input-group-text {
    width: initial;
}

/* readonly events */
.readonly {
    background-color: mistyrose !important;
}